VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::Property Class Reference

The `Property` class contains the information about a property in an OVF package. More...

List of all members.

## Public Member Functions
| Property ()
| Creates a default new instance.
string | GetClassId ()
| The classId of this OVF property.
void | SetClassId (string classId)
| The classId of this OVF property.
string | GetId ()
| The identifier of this OVF property.
void | SetId (string id)
| The identifier of this OVF property.
string | GetInstanceId ()
| The instanceId of this OVF property.
void | SetInstanceId (string instanceId)
| The instanceId of this OVF property.
string | GetCategory ()
| If this is set to a non-empty string, this property starts a new category.
void | SetCategory (string category)
| If this is set to a non-empty string, this property starts a new category.
bool | GetUiOptional ()
| Whether a category is UI optional.
void | SetUiOptional (bool?uiOptional)
| Whether a category is UI optional.
string | GetLabel ()
| The display name of this OVF property.
void | SetLabel (string label)
| The display name of this OVF property.
string | GetDescription ()
| A description of this OVF property.
void | SetDescription (string description)
| A description of this OVF property.
string | Get_Type ()
| The type of this OVF property.
void | SetType (string type)
| The type of this OVF property.
string | GetValue ()
| The OVF property value.
void | SetValue (string value_)
| The OVF property value.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Property` class contains the information about a property in an OVF package.

A property is uniquely identified by its [classid.]id[.instanceid] fully-qualified name (see Property.classId , Property.id , and Property.instanceId ). If multiple properties in an OVF package have the same fully-qualified name, then the property is excluded and cannot be set. We do warn about this during import.

See LibraryItem.Deploy and LibraryItem.Filter

## Constructor & Destructor Documentation

vmware::vcenter::ovf::Property::Property | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::Property::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::Property::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::Property::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::Property::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::Property::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::Property::Equals | ( | object | obj | ) | `[inline]`

string vmware::vcenter::ovf::Property::Get_Type | ( |  | ) | `[inline]`

The type of this OVF property.

Refer to the configuration of a virtual appliance/virtual machine for the valid values.

string vmware::vcenter::ovf::Property::GetCategory | ( |  | ) | `[inline]`

If this is set to a non-empty string, this property starts a new category.

string vmware::vcenter::ovf::Property::GetClassId | ( |  | ) | `[inline]`

The classId of this OVF property.

string vmware::vcenter::ovf::Property::GetDescription | ( |  | ) | `[inline]`

A description of this OVF property.

override int vmware::vcenter::ovf::Property::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::ovf::Property::GetId | ( |  | ) | `[inline]`

The identifier of this OVF property.

string vmware::vcenter::ovf::Property::GetInstanceId | ( |  | ) | `[inline]`

The instanceId of this OVF property.

string vmware::vcenter::ovf::Property::GetLabel | ( |  | ) | `[inline]`

The display name of this OVF property.

bool vmware::vcenter::ovf::Property::GetUiOptional | ( |  | ) | `[inline]`

Whether a category is UI optional.

This is only used if this property starts a new category (see Property.category ).

The value is stored in an optional attribute vmw:uioptional to the ovf:Category element. The default value is false. If this value is true, the properties within this category are optional. The UI renders this as a group with a check box, and the group is grayed out until the check box is selected. When the check box is selected, the input values are read and used in deployment. If properties within the same category specify conflicting values the default is used. Only implemented in vSphere Web Client 5.1 and later as of Nov 2012.

string vmware::vcenter::ovf::Property::GetValue | ( |  | ) | `[inline]`

The OVF property value.

This contains the default value from ovf:defaultValue if ovf:value is not present when read.

void vmware::vcenter::ovf::Property::SetCategory | ( | string | category | ) | `[inline]`

If this is set to a non-empty string, this property starts a new category.

void vmware::vcenter::ovf::Property::SetClassId | ( | string | classId | ) | `[inline]`

The classId of this OVF property.

void vmware::vcenter::ovf::Property::SetDescription | ( | string | description | ) | `[inline]`

A description of this OVF property.

void vmware::vcenter::ovf::Property::SetId | ( | string | id | ) | `[inline]`

The identifier of this OVF property.

void vmware::vcenter::ovf::Property::SetInstanceId | ( | string | instanceId | ) | `[inline]`

The instanceId of this OVF property.

void vmware::vcenter::ovf::Property::SetLabel | ( | string | label | ) | `[inline]`

The display name of this OVF property.

void vmware::vcenter::ovf::Property::SetType | ( | string | type | ) | `[inline]`

The type of this OVF property.

Refer to the configuration of a virtual appliance/virtual machine for the valid values.

void vmware::vcenter::ovf::Property::SetUiOptional | ( | bool? | uiOptional | ) | `[inline]`

Whether a category is UI optional.

This is only used if this property starts a new category (see Property.category ).

The value is stored in an optional attribute vmw:uioptional to the ovf:Category element. The default value is false. If this value is true, the properties within this category are optional. The UI renders this as a group with a check box, and the group is grayed out until the check box is selected. When the check box is selected, the input values are read and used in deployment. If properties within the same category specify conflicting values the default is used. Only implemented in vSphere Web Client 5.1 and later as of Nov 2012.

void vmware::vcenter::ovf::Property::SetValue | ( | string | value_ | ) | `[inline]`

The OVF property value.

This contains the default value from ovf:defaultValue if ovf:value is not present when read.

override string vmware::vcenter::ovf::Property::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- Property.cs